/******************************************************************************
 * $Id: gvcanvas.h,v 1.1 1999/01/11 15:27:24 warmerda Exp $
 *
 * Name:     gvcanvas.h
 * Project:  GDAL Qt Viewer
 * Purpose:  GVCanvas include file.
 * Author:   Frank Warmerdam, warmerda@home.com
 *
 ******************************************************************************
 * Copyright (c) 1999, Frank Warmerdam
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *****************************************************************************/

#ifndef GVCANVAS_H_INCLUDED
#define GVCANVAS_H_INCLUDED

#include "gview_core.h"

#include <qwidget.h>

class GVRaster;

class GVCanvas : public QWidget
{
    Q_OBJECT
        
    GVRaster	*poRaster;

    GVGeoPoint	oGeoPosition;
    
  public:
    		GVCanvas( QWidget *, const char *,
                          GVRaster * );
                ~GVCanvas();

    GVGeoPoint  GetGeoPos( void );

    GVRaster	*GetGVRaster( void ) { return poRaster; }

  public slots:
    void	setGeoPos( GVGeoPoint );

  signals:
    void 	geoPosChanged( GVGeoPoint );
    
  protected:
    void	paintEvent( QPaintEvent * );
    void        mousePressEvent( QMouseEvent * );
};

#endif /* ndef GVCANVAS_H_INCLUDED */





