/******************************************************************************
 * $Id: gview.h,v 1.1 1999/01/11 15:27:24 warmerda Exp $
 *
 * Name:     gview.h
 * Project:  GDAL Qt Viewer
 * Purpose:  Main application include file.
 * Author:   Frank Warmerdam, warmerda@home.com
 *
 ******************************************************************************
 * Copyright (c) 1999, Frank Warmerdam
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *****************************************************************************/

#ifndef GVIEW_H_INCLUDED
#define GVIEW_H_INCLUDED

#include "gview_core.h"

#include <qapplication.h>
#include <qimage.h>

#include "gdal.h"
#include "cpl_conv.h"

#include "gvcanvas.h"
#include "gvviewwindow.h"

class GVRaster : public QObject
{
  GDALDatasetH	hDS;

  GDALRasterBandH hRed;
  GDALRasterBandH hGreen;
  GDALRasterBandH hBlue;

  /* window of loaded raster data on source dataset */
  int		nXOff;
  int		nYOff;
  int		nXSize;
  int		nYSize;

  GDALDataType	eDataType;
  void		*pRedData;
  void		*pGreenData;
  void		*pBlueData;

  QImage	*poImage;

public:
    	    GVRaster( GDALDatasetH, int, int, int );
            ~GVRaster();

  void      SetView( int, int, int, int );
  QImage    *GetQImage( void );

  GDALDatasetH  GetDS() { return hDS; }
            
};

/************************************************************************/
/*                         Assorted prototypes.                         */
/************************************************************************/

QWidget *LaunchOGDIHitViewer( GVCanvas * );

#endif /* ndef GVIEW_H_INCLUDED */





