/******************************************************************************
 * $Id: gview_core.h,v 1.1 1999/01/11 15:27:24 warmerda Exp $
 *
 * Name:     gview_core.h
 * Project:  GDAL Qt Viewer
 * Purpose:  Minimum class/type definitions for app classes.
 * Author:   Frank Warmerdam, warmerda@home.com
 *
 ******************************************************************************
 * Copyright (c) 1999, Frank Warmerdam
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *****************************************************************************/

#ifndef GVIEW_CORE_H_INCLUDED
#define GVIEW_CORE_H_INCLUDED

class GVGeoPoint
{
  public:
		GVGeoPoint() { dfGeoX = 0; dfGeoY = 0; }
		GVGeoPoint( double x, double y )
                    { dfGeoX = x; dfGeoY = y; }
                
                GVGeoPoint( GVGeoPoint & oOther )
                    { dfGeoX = oOther.dfGeoX; dfGeoY = oOther.dfGeoY; }

    double	dfGeoX;
    double	dfGeoY;
};

#endif /* ndef GVIEW_CORE_H_INCLUDED */





